# $Revision: 1.36 $, $Date: 2007/02/13 08:06:38 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tk
%define		pnam	WaitBox
Summary:	Tk::WaitBox - an OO wait dialog for Perl/Tk, of the please wait variety
Summary(pl.UTF-8):	Tk::WaitBox - obiektowe okno dialogowe oczekiwania dla Perl/Tk
Name:		perl-Tk-WaitBox
Version:	1.3
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c57ca2ed6e134a83cce5636eeecc82f3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Tk
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tk::WaitBox is a perl5 package which implements a very flexible
WaitBox widget.

%description -l pl.UTF-8
Tk::WaitBox to pakiet Perla z implementacją bardzo elastycznego
widgetu WaitBox.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Tk/WaitBox.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tk-WaitBox.spec,v $
Revision 1.36  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.34  2004/11/03 22:30:52  paladine
- formatting

Revision 1.33  2004/05/07 00:59:48  ankry
- rel. 10

Revision 1.32  2004/05/06 18:21:26  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/03 21:39:07  ankry
- license fix, cosmetics

Revision 1.30  2004/04/15 21:24:55  ankry
- cosmetics

Revision 1.29  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:38  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:39:04  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/08/13 22:04:39  qboosh
- pl description, new %%doc, release 8

Revision 1.20  2002/08/11 19:36:52  radek
- release up

Revision 1.19  2002/08/11 19:32:58  radek
- (automatic) provided informative description

Revision 1.18  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:21:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:37:15  depesz
adapterized

Revision 1.12  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:17:52  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/26 02:14:28  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/08/27 13:57:50  kloczek
- updated to 1.3.

Revision 1.6  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.1  1999/11/13 20:43:42  pius
- initial release
